Telerik Reporting Web Report Viewer sopports IE7?

2 posts, 1 answers
  1. Joan VANDERWEYST
    Joan VANDERWEYST avatar
    4 posts
    Member since:
    Mar 2010

    Posted 11 Feb 2014 Link to this post

    Hi,

    I am using Telerik Q3 Reporting. I want to make sure that Web Report Viewer is supported in IE7 and also if there are any known limitations. I went thru the Browser Support requirements here(http://www.telerik.com/help/reporting/installation-system-requirements.html).  in the notes it is mentioned that HTML5/JS report viewer requires IE9+, so I want to make sure that over all there are no issues with using Telerik Reporting in IE7 and 8, because we have many customers still using 7 and 8 versions.

    Thank you
  2. Answer
    Stef
    Admin
    Stef avatar
    3047 posts

    Posted 13 Feb 2014 Link to this post

    Hello Joan,

    The reporting engine is optimized to work with newer browsers, thus the IE9+ requirement is not only for the viewer, but for the HTML rendering used to display its content. There are added fallback mechanisms to provide support for HTML5 non-compliant browsers.

    For more details, please refer to your support ticket on the same topic.

    Regards,
    Stef
    Telerik

    New HTML5/JS REPORT VIEWER with MOBILE AND TOUCH SUPPORT available in Telerik Reporting Q3 2013! Get the new Reporting version from your account or download a trial.

  3. DevCraft banner
Back to Top